Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.marshalling.impl
Interface JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder

All Superinterfaces:
  com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder

All Known Implementing Classes:
  JBPMMessages.ProcessInstance.NodeInstanceContent, JBPMMessages.ProcessInstance.NodeInstanceContent.Builder

Enclosing class:
  JBPMMessages.ProcessInstance

    public static interface JBPMMessages.ProcessInstance.NodeInstanceContentOrBuilder

extends com.google.protobuf.MessageOrBuilder

Method Summary
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode` | `getComposite()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder` | `getCompositeOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode` | `getEvent()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.EventNodeOrBuilder` | `getEventOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode` | `getForEach()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder` | `getForEachOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode` | `getHumanTask()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder` | `getHumanTaskOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode` | `getJoin()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder` | `getJoinOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode` | `getMilestone()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder` | `getMilestoneOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode` | `getRuleSet()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder` | `getRuleSetOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode` | `getState()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder` | `getStateOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode` | `getSubProcess()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder` | `getSubProcessOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode` | `getTimer()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNodeOrBuilder` | `getTimerOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
`JBPMMessages.ProcessInstance.NodeInstanceType` | `getType()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode` | `getWorkItem()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
`JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder` | `getWorkItemOrBuilder()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`
`boolean` | `hasComposite()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`
`boolean` | `hasEvent()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`
`boolean` | `hasForEach()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`
`boolean` | `hasHumanTask()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`
`boolean` | `hasJoin()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`
`boolean` | `hasMilestone()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`
`boolean` | `hasRuleSet()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`
`boolean` | `hasState()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`
`boolean` | `hasSubProcess()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`
`boolean` | `hasTimer()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`
`boolean` | `hasType()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`
`boolean` | `hasWorkItem()` `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`

Methods inherited from interface com.google.protobuf.MessageOrBuilder
`findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder
`isInitialized`

Method Detail

### hasType

    boolean hasType()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`

### getType

    JBPMMessages.ProcessInstance.NodeInstanceType getType()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceType type = 1;`

### hasRuleSet

    boolean hasRuleSet()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`

### getRuleSet

    JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNode getRuleSet()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`

### getRuleSetOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.RuleSetNodeOrBuilder getRuleSetOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.RuleSetNode rule_set = 2;`

### hasHumanTask

    boolean hasHumanTask()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`

### getHumanTask

    JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNode getHumanTask()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`

### getHumanTaskOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.HumanTaskNodeOrBuilder getHumanTaskOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.HumanTaskNode human_task = 3;`

### hasWorkItem

    boolean hasWorkItem()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`

### getWorkItem

    JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNode getWorkItem()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`

### getWorkItemOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.WorkItemNodeOrBuilder getWorkItemOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.WorkItemNode work_item = 4;`

### hasSubProcess

    boolean hasSubProcess()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`

### getSubProcess

    JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNode getSubProcess()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`

### getSubProcessOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.SubProcessNodeOrBuilder getSubProcessOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.SubProcessNode sub_process = 5;`

### hasMilestone

    boolean hasMilestone()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`

### getMilestone

    JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNode getMilestone()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`

### getMilestoneOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.MilestoneNodeOrBuilder getMilestoneOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.MilestoneNode milestone = 6;`

### hasEvent

    boolean hasEvent()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`

### getEvent

    JBPMMessages.ProcessInstance.NodeInstanceContent.EventNode getEvent()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`

### getEventOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.EventNodeOrBuilder getEventOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.EventNode event = 7;`

### hasTimer

    boolean hasTimer()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`

### getTimer

    JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNode getTimer()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`

### getTimerOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.TimerNodeOrBuilder getTimerOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.TimerNode timer = 8;`

### hasJoin

    boolean hasJoin()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`

### getJoin

    JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNode getJoin()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`

### getJoinOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.JoinNodeOrBuilder getJoinOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.JoinNode join = 9;`

### hasState

    boolean hasState()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`

### getState

    JBPMMessages.ProcessInstance.NodeInstanceContent.StateNode getState()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`

### getStateOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.StateNodeOrBuilder getStateOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.StateNode state = 10;`

### hasComposite

    boolean hasComposite()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`

### getComposite

    JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNode getComposite()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`

### getCompositeOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.CompositeContextNodeOrBuilder getCompositeOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.CompositeContextNode composite = 11;`

### hasForEach

    boolean hasForEach()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`

### getForEach

    JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNode getForEach()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`

### getForEachOrBuilder

    JBPMMessages.ProcessInstance.NodeInstanceContent.ForEachNodeOrBuilder getForEachOrBuilder()

  `optional .org.jbpm.marshalling.ProcessInstance.NodeInstanceContent.ForEachNode for_each = 12;`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.